-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: cryptacular
Binary: libcryptacular-java, libcryptacular-java-doc
Architecture: all
Version: 1.2.6-1
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>,
Homepage: https://www.cryptacular.org
Description: high level, general purpose Java cryptographic library
 General-purpose Java cryptograhic library, which complements the Bouncy
 Castle libraries, that has the following design goals:
 .
  * Flexible JCE provider. Prefers the Bouncy Castle Java Provider, but
    can fall back to other providers defined in the environment for
    algorithms not implemented by BC.
  * Ease of use for common cryptographic operations. A one liner
    highlights this well; the following prints the MD5 hash of a password
    as a string of HEX characters:
    System.out.println(new MD5().digest(passBytes, new HexConverter()));
  * Convenient and performant handling of cryptographic operations on
    large data streams.
  * Support for base-64 and hexadecimal encoding of ciphertext input/output.
  * Support for I/O operations on cryptographic primitives including
    generating and writing symmetric encryption keys, public/private key
    pairs, and X.509 certificates. Both PEM and DER encoding is handled
    conveniently.
  * Command line interface for each class of cryptographic operation
    (digest, symmetric encryption, public-key encryption, message signing,
    etc). A command line interface for keystore operations is also
    included, which is notable as it supports features above and beyond
    the Java keytool utility.
 .
 It is important to note that no cryptographic algorithms are implemented;
 Bouncy Castle provides all cryptographic algorithms where required.
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/cryptacular
Vcs-Git: https://salsa.debian.org/java-team/cryptacular.git
Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.6)
Build-Depends-Indep: libbcprov-java (>= 1.71), libmaven-bundle-plugin-java (>= 3.5.1), libmaven-install-plugin-java (>= 3.1.0), libmaven-javadoc-plugin-java (>= 3.4.1) <!nodoc>, testng <!nocheck>
Package-List:
 libcryptacular-java deb java optional arch=all
 libcryptacular-java-doc deb doc optional arch=all
Checksums-Sha1:
 ecefd5c0ed4719ed279d966d0f09c4e61c4464ab 143228 cryptacular_1.2.6.orig.tar.xz
 8dc40dbde9bd8d2d8e13b4be488cfd0e813dc6c8 3764 cryptacular_1.2.6-1.debian.tar.xz
Checksums-Sha256:
 af42f8c1e540213509fb4b3d14e66bcc578aeda2ed3053026d5dc449aa2ddd9a 143228 cryptacular_1.2.6.orig.tar.xz
 b3765800377e23c5e251c85f659c3d6089b0c2e59170198dc8e03b7c1a32f28b 3764 cryptacular_1.2.6-1.debian.tar.xz
Files:
 332bdfc35176fe54f1d7211440432b2e 143228 cryptacular_1.2.6.orig.tar.xz
 d7a159aa035c879cefcaa12687bb1522 3764 cryptacular_1.2.6-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJIBAEBCgAyFiEE5Qr9Va3SequXFjqLIdIFiZdLPpYFAmZ459cUHHRtYW5jaWxs
QGRlYmlhbi5vcmcACgkQIdIFiZdLPpaaRRAAixXklhnruid3Drd6Ayaz4CEJvuM2
j4lTppu+jQ8mQncwkCiCQTQMpOjd9jdolwApmgzd1tyz64/IyhdEVZvjqJP+3QDo
EgnC45XcdbOW7oAkbeM86QDu12PORM40Qss5vh0hG4/qsSw92FYoZkDn5JSoWohW
dhPjfOb2Tq4Nlw/C0bQrM2qPeK4S1YWuqlxpxout0nlXNjdqLaNDg3+mbl3JbjE4
kQAdZj5XXR6CbO5YGSMyxF0TmajVPxmEr7rzpU1yri7l29iEXtqOnCLRZYS7LVBv
+HMsjbJQsZOu7C5mgC5LwbJO7IKfAidX2EFDxkt/fGXCNxo2MyWuMddwP3TXFCrv
PKCOW1ZSR1Qo7mNsZFZC/roC9HqE8qmCErQMRLfjXdcw3bD/WgOq6tdOgkamUZPH
wIFZHTmeOqoXc1KsJ4i4cuCSx1mM6yMgcefv1XBOCdnpoCKe1ON5neBGdok1Dsv/
J0olExQWBEuDUR1D+ZEQDfV+Dy1/qpkRuJkReKLoWrTUVfn9EQV71/IvknCiKOVt
sLnUayeowO0V0/GnN0QbvBtxV9K+MN1B3AWqfDnfYdha1KVMkGUoT9fbO5fwbQ67
k5jNdYZ5L1aPuKLJ3TPZxSewfBjqBPLT8VHsIG8azYwn1S81TbCJNynXhXVkS7ax
cNtO1In/QBZSkas=
=5GmC
-----END PGP SIGNATURE-----
